//*STATA Replication Commands for 'Career Behaviour and the European Parliament: All Roads Lead Through Brussels?'*
*Oxford University Press, 2015.*
*Dataset revised, November 2015. Please alert author of any further corrections or revisions performed.*
*By William T Daniel (wdaniel@fmarion.edu)*//

/*CHAPTER THREE*/

/*Table 3.1*/
summ EP_reelect ln_euro wave ln_total_rapport terms_served dropout age female natl_govt EP_leader leadership new_ms dpi_state


/*Table 3.2*/
logit EP_reelect ln_euro wave ln_eurowave terms_served dropout age female natl_govt EP_leader leadership new_ms dpi_state austria belgium bulgaria cyprus czech denmark estonia finland france germany greece hungary italy latvia lithuania luxembourg malta netherlands poland portugal romania slovakia slovenia spain sweden uk, robust cluster(id_number)
logit EP_reelect ln_euro codecision ln_eurocodecision terms_served dropout age female natl_govt EP_leader leadership new_ms dpi_state austria belgium bulgaria cyprus czech denmark estonia finland france germany greece hungary italy latvia lithuania luxembourg malta netherlands poland portugal romania slovakia slovenia spain sweden uk, robust cluster(id_number)
logit EP_reelect ln_euro wave ln_total_rapport ln_euro_ln_rapport ln_eurowave ln_rapport_wave terms_served dropout age female natl_govt EP_leader leadership new_ms dpi_state austria belgium bulgaria cyprus czech denmark estonia finland france germany greece hungary italy latvia lithuania luxembourg malta netherlands poland portugal romania slovakia slovenia spain sweden uk, robust cluster(id_number)
*estat ic*

/*Figure 3.3*/
estsimp logit EP_reelect ln_euro wave ln_total_rapport ln_euro_ln_rapport ln_eurowave ln_rapport_wave terms_served dropout age female natl_govt EP_leader leadership new_ms dpi_state austria belgium bulgaria cyprus czech denmark estonia finland france germany greece hungary italy latvia lithuania luxembourg netherlands poland portugal romania slovakia slovenia spain sweden uk, robust cluster(id_number)
*setx for each wave and interaction affected by wave count.. plot simqi with 95 CI*

/*Figure 3.4*/
logit EP_reelect ln_euro wave ln_total_rapport ln_euro_ln_rapport ln_eurowave ln_rapport_wave terms_served dropout age female natl_govt EP_leader leadership new_ms dpi_state austria belgium bulgaria cyprus czech denmark estonia finland france germany greece hungary italy latvia lithuania luxembourg malta netherlands poland portugal romania slovakia slovenia spain sweden uk, robust cluster(id_number)
postgr3 ln_euro, by(wave) asis(ln_total_rapport wave ln_euro ln_eurowave ln_rapport_wave ln_euro_ln_rapport) if wave<7

/*CHAPTER FOUR*/

/*Table 4.2*/
summ leave_EP MP_elect natl_elect dpi_state lijp norris_federalism terms_served dropout EP_leader leadership age female christian_democrat socialist non_inscrit

/*Table 4.3*/
logit leave_EP dpi_state norris_federalism terms_served dropout EP_leader leadership age female christian socialist non_inscrit wave7 wave6 wave5 wave4 wave3 wave2, robust cluster(id_number)
logit leave_EP dpi_state norris_federalism lijp terms_served dropout EP_leader leadership age female christian socialist non_inscrit wave7 wave6 wave5 wave4 wave3 wave2, robust cluster(id_number)
logit MP_elect dpi_state norris_federalism terms_served dropout EP_leader leadership age female christian socialist non_inscrit wave6 wave5 wave4 wave3 wave2 if wave<7, robust cluster(id_number)
logit MP_elect dpi_state norris_federalism lijp terms_served dropout EP_leader leadership age female christian socialist non_inscrit wave6 wave5 wave4 wave3 wave2 if wave<7, robust cluster(id_number)
logit natl_elect dpi_state norris_federalism terms_served dropout EP_leader leadership age female christian socialist non_inscrit wave6 wave5 wave4 wave3 wave2 if wave<7, robust cluster(id_number)
logit natl_elect dpi_state norris_federalism lijp terms_served dropout EP_leader leadership age female christian socialist non_inscrit wave6 wave5 wave4 wave3 wave2 if wave<7, robust cluster(id_number)

/*Table 4.4*/
mlogit outcome dpi_state norris_federalism lijp terms_served dropout EP_leader leadership age female christian socialist non_inscrit wave6 wave5 wave4 wave3 wave2 if wave<7, base(4) robust cluster(id_number)


/*Table 4.5*/
mlogit outcome dpi_state norris_federalism lijp terms_served dropout EP_leader leadership age female christian socialist non_inscrit wave6 wave5 wave4 wave3 wave2 if wave<7, base(3) robust cluster(id_number)


/*Figure 4.1*/
logit natl_elect dpi_state norris_federalism lijp terms_served dropout EP_leader leadership age female christian socialist non_inscrit wave6 wave5 wave4 wave3 wave2 if wave<7, robust cluster(id_number)
postgr3 lijp, by(dropout) asis(dropout lijp)

/*CHAPTER FIVE*/

/*Tables 5.1 & 5.2*/
*Calculated from MEPs dataset*

/*Table 5.3*/
summ rapports education terms_served seniority EP_leader leadership EP_reelect dropout natl_govt age female new_ms

/*Table 5.4*/
nbreg rapports education seniority EP_leader leadership EP_reelect dropout natl_govt age female new_ms christian socialist green communist non_inscrit conservative euroskeptic austria belgium bulgaria cyprus croatia czech denmark estonia finland france germany greece hungary italy latvia lithuania luxembourg malta netherlands poland portugal romania slovakia slovenia spain sweden if wave==1
nbreg rapports education seniority EP_leader leadership EP_reelect dropout natl_govt age female new_ms christian socialist green communist non_inscrit conservative euroskeptic austria belgium bulgaria cyprus croatia czech denmark estonia finland france germany greece hungary italy latvia lithuania luxembourg malta netherlands poland portugal romania slovakia slovenia spain sweden if wave==2
nbreg rapports education seniority EP_leader leadership EP_reelect dropout natl_govt age female new_ms christian socialist green communist non_inscrit conservative euroskeptic austria belgium bulgaria cyprus croatia czech denmark estonia finland france germany greece hungary italy latvia lithuania luxembourg malta netherlands poland portugal romania slovakia slovenia spain sweden if wave==3
nbreg rapports education seniority EP_leader leadership EP_reelect dropout natl_govt age female new_ms christian socialist green communist non_inscrit conservative euroskeptic austria belgium bulgaria cyprus croatia czech denmark estonia finland france germany greece hungary italy latvia lithuania luxembourg malta netherlands poland portugal romania slovakia slovenia spain sweden if wave==4
nbreg rapports education seniority EP_leader leadership EP_reelect dropout natl_govt age female new_ms christian socialist green communist non_inscrit conservative euroskeptic austria belgium bulgaria cyprus croatia czech denmark estonia finland france germany greece hungary italy latvia lithuania luxembourg malta netherlands poland portugal romania slovakia slovenia spain sweden if wave==5
nbreg rapports education seniority EP_leader leadership EP_reelect dropout natl_govt age female new_ms christian socialist green communist non_inscrit conservative euroskeptic austria belgium bulgaria cyprus croatia czech denmark estonia finland france germany greece hungary italy latvia lithuania luxembourg malta netherlands poland portugal romania slovakia slovenia spain sweden if wave==6
nbreg rapports education seniority EP_leader leadership EP_reelect dropout natl_govt age female new_ms christian socialist green communist non_inscrit conservative euroskeptic austria belgium bulgaria cyprus croatia czech denmark estonia finland france germany greece hungary italy latvia lithuania luxembourg malta netherlands poland portugal romania slovakia slovenia spain sweden if wave==7

/*Table 5.5*/
nbreg rapports education terms_complete wave EP_leader leadership EP_reelect dropout natl_govt age female new_ms christian socialist liberal green communist euroskeptic conservative austria belgium bulgaria cyprus czech denmark estonia finland france germany greece hungary italy latvia lithuania luxembourg malta netherlands poland portugal romania slovakia slovenia spain sweden uk wave1 wave2 wave3 wave4 wave5 wave6, robust cluster (id_number)
nbreg rapports education edu_wave terms_complete wave EP_leader leadership EP_reelect dropout natl_govt age female new_ms christian socialist liberal green communist euroskeptic conservative austria belgium bulgaria cyprus czech denmark estonia finland france germany greece hungary italy latvia lithuania luxembourg malta netherlands poland portugal romania slovakia slovenia spain sweden uk wave1 wave2 wave3 wave4 wave5 wave6, robust cluster (id_number)
nbreg rapports education terms_complete wave edu_seniority edu_wave seniority_wave EP_leader leadership EP_reelect dropout natl_govt age female new_ms christian socialist liberal green communist euroskeptic conservative austria belgium bulgaria cyprus czech denmark estonia finland france germany greece hungary italy latvia lithuania luxembourg malta netherlands poland portugal romania slovakia slovenia spain sweden uk wave1 wave2 wave3 wave4 wave5 wave6, robust cluster (id_number)
nbreg rapports education terms_complete codecision edu_codecision EP_leader leadership EP_reelect dropout natl_govt age female new_ms christian socialist liberal green communist euroskeptic conservative austria belgium bulgaria cyprus czech denmark estonia finland france germany greece hungary italy latvia lithuania luxembourg malta netherlands poland portugal romania slovakia slovenia spain sweden uk wave1 wave2 wave3 wave4 wave5 wave6, robust cluster (id_number)
nbreg rapports edu_2 terms_complete codecision edu2_codecision EP_leader leadership EP_reelect dropout natl_govt age female new_ms christian socialist liberal green communist euroskeptic conservative austria belgium bulgaria cyprus czech denmark estonia finland france germany greece hungary italy latvia lithuania luxembourg malta netherlands poland portugal romania slovakia slovenia spain sweden uk wave1 wave2 wave3 wave4 wave5 wave6, robust cluster (id_number)
nbreg rapports edu_2 terms_complete codecision edu2_codecision edu2_seniority seniority_codecision EP_leader leadership EP_reelect dropout natl_govt age female new_ms christian socialist liberal green communist euroskeptic conservative austria belgium bulgaria cyprus czech denmark estonia finland france germany greece hungary italy latvia lithuania luxembourg malta netherlands poland portugal romania slovakia slovenia spain sweden uk wave1 wave2 wave3 wave4 wave5 wave6, robust cluster (id_number)

/*Tables 5.6 & 5.7*/
*Calculated percentages from raw data collected via EP website.. excel files used to calculate percentages available upon request*

/*Figure 5.1*/
nbreg rapports education edu_wave terms_complete wave EP_leader leadership EP_reelect dropout natl_govt age female new_ms christian socialist liberal green communist euroskeptic conservative austria belgium bulgaria cyprus czech denmark estonia finland france germany greece hungary italy latvia lithuania luxembourg malta netherlands poland portugal romania slovakia slovenia spain sweden uk wave1 wave2 wave3 wave4 wave5 wave6, robust cluster (id_number)
postgr3 wave, by(education) asis(education wave edu_wave)

/*Figure 5.2*/
nbreg rapports edu_2 terms_complete codecision edu2_codecision edu2_seniority seniority_codecision EP_leader leadership EP_reelect dropout natl_govt age female new_ms christian socialist liberal green communist euroskeptic conservative austria belgium bulgaria cyprus czech denmark estonia finland france germany greece hungary italy latvia lithuania luxembourg malta netherlands poland portugal romania slovakia slovenia spain sweden uk wave1 wave2 wave3 wave4 wave5 wave6, robust cluster (id_number)
postgr3 terms_complete, by(edu_2) asis(edu_2 terms_complete edu2_seniority)

/*CHAPTER NINE*/
graph hbox age, over(country_code, total) ytitle("Age") title("Age at End of Mandate") 
graph hbox age if wave==1, over(country_code, total) ytitle("Age") title("Age at End of Mandate") 
graph hbox age if wave==7, over(country_code, total) ytitle("Age") title("Age at End of Mandate") 
