// Load data

forvalues v=0/1{
	use "figures/sim results/Figure 1b - dp`v'.dta", clear

	rename * *_`v'
	rename t_`v' t

	tempfile d`v'
	save `d`v'', replace
}
* dp1 will be last file open.

merge t using `d0', sort unique


// GRAPH: raw values, rescaled for months	
#delimit ;	
twoway 	(line pstate2_0		t, sort lp(dash) lw(medium)) 
		(line pstate2_l_0	t, sort lp(dash) lw(vthin)) 
		(line pstate2_u_0	t, sort lp(dash) lw(vthin)) 
		(line pstate2_1 	t, sort lp(solid) lw(medium)) 
		(line pstate2_l_1	t, sort lp(solid) lw(vthin)) 
		(line pstate2_u_1	t, sort lp(solid) lw(vthin))
		, 
		
		xscale(lwidth(medthick) extend)
			xlabel(0(12)60 , nogrid)
			xmtick(##4, nogrid)
			
			yscale(range(0 1) lwidth(medthick))
			
			ylabel(0(.1)1 , nogrid)
			ymtick(##4, nogrid)

			xtitle("Months", size(3))
			ytitle("Pr(dropout)", size(3))
			
			legend(col(1) colfirst pos(12) ring(0) order(4 1) 
					label(4 "Federalism mentioned in const.") 
					label(1 "Federalism not mentioned in const."))
			aspect(1) scheme(s2mono) graphregion(color(white)  icolor(none) );
	
	#delimit cr;
	
	graph export "Fig 1b - raw.png", as(png) width(2112) height(1536) replace
