// Load data

forvalues v=12(12)36{
	use "figures/sim results/Figure 4 - mn`v'.dta", clear

	rename * *_`v'
	rename t_`v' t

	tempfile d`v'
	save `d`v'', replace
}
* dp36 will be last file open.

merge t using `d12' `d24', sort unique


// GRAPH: raw values, rescaled for months	
#delimit ;	
twoway 	(line pstate2_12	t, sort lp(dash) lw(medium)) 
		(line pstate2_l_12	t, sort lp(dash) lw(vthin)) 
		(line pstate2_u_12	t, sort lp(dash) lw(vthin)) 
		(line pstate2_24 	t, sort lp(solid) lw(medium)) 
		(line pstate2_l_24	t, sort lp(solid) lw(vthin)) 
		(line pstate2_u_24	t, sort lp(solid) lw(vthin))
		(line pstate2_36 	t, sort lp(shortdash) lw(medium)) 
		(line pstate2_l_36	t, sort lp(shortdash) lw(vthin)) 
		(line pstate2_u_36	t, sort lp(shortdash) lw(vthin))
		, 
		xscale(lwidth(medthick))
			xlabel(0(12)60 , nogrid)
			xmtick(##4, nogrid)
			
			yscale(range(0 1) lwidth(medthick))
			
			ylabel(0(.1)1 , nogrid)
			ymtick(##4, nogrid)
	 
			xtitle("Months", size(3))
			ytitle("Pr(dropout)", size(3))
			
			legend(col(1) colfirst pos(12) ring(0) order(1 4 7) 
					label(1 "12 mos. since last nat'l election")
					label(4 "24 mos. since last nat'l election") 
					label(7 "36 mos. since last nat'l election") 
					)
			aspect(1) scheme(s2mono) graphregion(color(white)  icolor(none) );
	
	#delimit cr;
	
	graph export "Fig 4 - raw.png", as(png) width(2112) height(1536) replace
